package com.lightinit.hsdataportal.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: sunxiang
 * @Date: 2018/6/15 9:59
 * @Description:
 **/
public class MyDataShareListModel {
    private Long id;
    private Long resourceAuthId;
    private Long resourceId;
    private  Long publishInfoId;
    private Long publishSettingId;
    private Long userORAdminId;
    private String resourceName;//数据名称
    private String resourceSummary;//数据描述
    private String platformType;//平台
    private String sectorName;//发布机构
    private Date applyTime;//申请时间
    private String openType;//开放类型
    private String shareType;//共享类型
    private String authState;//状态
    private String auditOpinion;//授权反馈
    private BigDecimal packagePrice; //价格
    private String chargeMethod; //收费方式
    private  String applyReason; //申请理由
    private String description;//套餐说明
    private String orderNumber;//订单号
    private String orderState;//订单状态：待付款/已付款
    //private String ;//授权部门    == 发布机构
    private String packageName;
    private Long packageMonths;
    private Long buyTimesLimit;
    private Long useTimesLimit;
    private Date effectiveDate;
    private Date expiriedDate;
    private String demoFile;
    private String dataFile;

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getDemoFile() {
        return demoFile;
    }

    public void setDemoFile(String demoFile) {
        this.demoFile = demoFile;
    }

    public String getDataFile() {
        return dataFile;
    }

    public void setDataFile(String dataFile) {
        this.dataFile = dataFile;
    }

    public Long getResourceId() {
        return resourceId;
    }

    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }

    public String getPackageName() {
        return packageName;
    }


    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }


    public Long getPackageMonths() {
        return packageMonths;
    }


    public void setPackageMonths(Long packageMonths) {
        this.packageMonths = packageMonths;
    }


    public Long getBuyTimesLimit() {
        return buyTimesLimit;
    }


    public void setBuyTimesLimit(Long buyTimesLimit) {
        this.buyTimesLimit = buyTimesLimit;
    }


    public Long getUseTimesLimit() {
        return useTimesLimit;
    }


    public void setUseTimesLimit(Long useTimesLimit) {
        this.useTimesLimit = useTimesLimit;
    }


    public Date getEffectiveDate() {
        return effectiveDate;
    }


    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }


    public Date getExpiriedDate() {
        return expiriedDate;
    }


    public void setExpiriedDate(Date expiriedDate) {
        this.expiriedDate = expiriedDate;
    }

    public BigDecimal getPackagePrice() {
        return packagePrice;
    }

    public void setPackagePrice(BigDecimal packagePrice) {
        this.packagePrice = packagePrice;
    }

    public String getOrderState() {
        return orderState;
    }

    public void setOrderState(String orderState) {
        this.orderState = orderState;
    }

    public Long getResourceAuthId() {
        return resourceAuthId;
    }

    public void setResourceAuthId(Long resourceAuthId) {
        this.resourceAuthId = resourceAuthId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Long getPublishInfoId() {
        return publishInfoId;
    }

    public void setPublishInfoId(Long publishInfoId) {
        this.publishInfoId = publishInfoId;
    }

    public Long getPublishSettingId() {
        return publishSettingId;
    }

    public void setPublishSettingId(Long publishSettingId) {
        this.publishSettingId = publishSettingId;
    }

    public String getApplyReason() {
        return applyReason;
    }

    public void setApplyReason(String applyReason) {
        this.applyReason = applyReason;
    }

    public Long getUserORAdminId() {
        return userORAdminId;
    }

    public void setUserORAdminId(Long userORAdminId) {
        this.userORAdminId = userORAdminId;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public String getChargeMethod() {
        return chargeMethod;
    }

    public void setChargeMethod(String chargeMethod) {
        this.chargeMethod = chargeMethod;
    }


    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getResourceSummary() {
        return resourceSummary;
    }

    public void setResourceSummary(String resourceSummary) {
        this.resourceSummary = resourceSummary;
    }

    public String getSectorName() {
        return sectorName;
    }

    public void setSectorName(String sectorName) {
        this.sectorName = sectorName;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public String getAuthState() {
        return authState;
    }

    public void setAuthState(String authState) {
        this.authState = authState;
    }
}
